import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRRefrigeratorAndTemperatureControlledCabinetModeClusterModeOptionStruct extends _NSObject {
    static alloc(): _MTRRefrigeratorAndTemperatureControlledCabinetModeClusterModeOptionStruct;
    static new(): _MTRRefrigeratorAndTemperatureControlledCabinetModeClusterModeOptionStruct;
    init(): _MTRRefrigeratorAndTemperatureControlledCabinetModeClusterModeOptionStruct;
    label(): _NSString;
    setLabel$(value: _NSString): void;
    mode(): _NSNumber;
    setMode$(value: _NSNumber): void;
    modeTags(): _NSArray;
    setModeTags$(value: _NSArray): void;
}
export interface _MTRRefrigeratorAndTemperatureControlledCabinetModeClusterModeOptionStruct extends _NSCopying {
}
